﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.IO.IsolatedStorage;
using Infragistics.Controls.Grids;


namespace ObservableCol
{ 
    
   
    public partial class MainPage : UserControl
    {
      
        public MainPage()
        {
            InitializeComponent();
        }

        private void xamGrid1_ActiveCellChanged(object sender, EventArgs e)
        {
            XamGrid grid = (XamGrid)sender;

            if (grid.ActiveCell.IsEditable == false)
            {
                Cell cell = (Cell) grid.ActiveCell;

                Row row = (Row) cell.Row;

                if (cell.Column.Key == "Name" || cell.Column.Key == "Title")
                {
                    row.Cells["Department"].IsActive = true;
                    
                }

              
            }
        }

       
     
    }

    public class Employee : INotifyPropertyChanged
    {

        public Employee(string id, string name, string title, int dept)
        {
            this.id = id;
            this.name = name;
            this.title = title;
            this.department = dept;
        }
        public string ID
        {
            get { return id; }
            set
            {
                if (value != this.id)
                {
                    this.id = value;
                    NotifyPropertyChanged("ID");
                }
            }
        }
        public string Name
        {
            get { return name; }
            set
            {
                if (value != this.name)
                {
                    this.name = value;
                    NotifyPropertyChanged("Name");
                }
            }
        }
        public string Title
        {
            get { return title; }
            set
            {
                if (value != this.title)
                {
                    this.title = value;
                    NotifyPropertyChanged("Title");
                }
            }
        }
        public int Department
        {
            get { return department; }
            set
            {
                if (value != this.department)
                {
                    this.department = value;
                    NotifyPropertyChanged("Department");
                }
            }
        }
        public event PropertyChangedEventHandler PropertyChanged;
        public void NotifyPropertyChanged(string info)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(info));
            }
        }
        string id;
        string name;
        string title;
        int department;
    }
    public class Employees : ObservableCollection<Employee>
    {
        public Employees()
        {
            for (int i = 1; i < 10; i++)
            {
                this.Add(new Employee("0000000" + i.ToString() + "A", "Employee " + i.ToString(), "Associate", 1));
            }
            for (int i = 10; i <= 15; i++)
            {
                this.Add(new Employee("000000" + i.ToString() + "B", "Employee " + i.ToString(), "Manager", 2));
            }
        }
    }
   

}
